[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: tar problem: invalid tar magic



busybox tar as compiled in ttylinux does not have a compatibility flag set.

I usually just download gnu tar and compile it in-situ; ironically, busybox tar will un-tar it...

On Monday, April 21, 2014 9:34:42 AM UTC-6, mr. Hamster wrote:
I've been looking for small distro for an IRC server to run in virtual environment and came across ttylinux. Virtio x86_64 v16.1 was installed on VirtualBox 4.3.6 r91406, running on Windows 7 host with PAE/NX, VT-x/AMD-V and NP enabled. 

Now I've been trying to update my wget to newer version since I had some problems with downloading form https. But I wasn't able to unpack downloaded tarball (wget-1.15.tar.gz). It tells me "tar: invalid tar magic".

I had tried three different scenarios:
1) tar xvzf wget-1.15.tar.gz
2) tar -xJf wget-1.15.tar.xz
3) gunzip wget-1.15.tar.gz
tar xvf wget-1.15.tar

No luck.
I've been trying the same with 1.14 version. Also no luck

Could someone confirm or deny: is this some kind of bug or it's just me being stupid? And more importantly: how do I get things done? Thanks.